编译emacs支持xwidget

需要运行哪些命令? 安装哪些依赖? 谢谢!

请用一句疑问句作为标题。

让人看得出你是在提问,而不是分享。

提问前应该先搜索下,几分钟就能解决的问题。

论坛的帖子看过了,只有理论讨论。具体的操作过程命令啥的好像没有

具体参照这篇,把emacs26改成你想要的版本

都自己编译了,难道不先看下 ./configure --help 吗?

brew install [email protected] --with-dbus --with-xwidgets --with-imagemagick --with-native-comp --with-modern-black-dragon-icon

我 mac 下这么编译的

1 个赞

系统也不写,让大家猜么

我是manjaro,这篇文章我看过了。webkitgtk这个包找不到,./configure那步报错,make也报错

善用AUR

随手加sudo

文章太老了,主分支都29了,不用 webkitgtk

如果添加了 archlinux-cn 的源,直接sudo pacman -S emacs-git 已经默认开启了 xwidgets

根据需要还可以选择emacs-native-comp-git or emacs-native-comp-pgtk-git

还可以直接把 PKGBUILD 下载下来,makepkg -si 编译,sudo pacman -U xxx 安装编译好的包

./configure --with-all